jDownloadsownloads.com


Author Topic: Issues upgrading form 3.2 to 3.9  (Read 180 times)

0 Members and 1 Guest are viewing this topic.

Offline pastoweb

  • Newbie
  • *
  • Posts: 15
Issues upgrading form 3.2 to 3.9
« on: 09.01.2021 10:58:29 »
Hi there, I get this error on upgrading form 3.2 to 3.9

Code: [Select]
SQLSTATE[42S22]: Column not found: 1054 Unknown column 'file_id' in 'field list' The error apperars on the second step of upgrading, after going back to the control panel and launching the upgrade for the second time. If I go back to the control panel it says the upgrade was ok, but accessing the Jdownloads control panel I get this messages:

Code: [Select]
Warning Joomla\CMS\Filesystem\Folder::create: Infinite loop detected.
Code: [Select]
Error Error! Cannot create a categories folder.Any advice?


« Last Edit: 09.01.2021 11:03:33 by pastoweb »

Offline ColinM

  • Moderator
  • *
  • Posts: 3.878
Re: Issues upgrading form 3.2 to 3.9
« Reply #1 on: 11.01.2021 14:13:03 »
Hi The cause of the problem is, as you say, Column not found: 1054 Unknown column 'file_id' in 'field list'.  Part of the upgrade was to become more consistent with Joomla!.  So the database ID name was changed from 'file_id' to just 'id'.
It is most probably caused by an extension  that has not been updated.
If you are using AUP, JComments, Komento, Community Builder or Acymailing then extension updates are available.Seehttps://www.jdownloads.net/documentation-for-v3-9/getting-started-v3-9/upgrading-from-jdownloads-3-2-to-3-9#third-party-extensionsfor more info
If you are not using one of those then it is a case of elimination.
Please let us know the situation
ThanksColin


Offline pastoweb

  • Newbie
  • *
  • Posts: 15
Re: Issues upgrading form 3.2 to 3.9
« Reply #2 on: 12.01.2021 11:39:17 »
Hi, I'm using both Community Builder and Acymailing, but I don't have jdownload plugins for these extensions.

Should I install them?

Offline ColinM

  • Moderator
  • *
  • Posts: 3.878
Re: Issues upgrading form 3.2 to 3.9
« Reply #3 on: 12.01.2021 12:01:58 »
Hi

Yes you must install the relevant plugins :)
The links jD supported plugins, including the Community Builder plugin, are at
https://www.jdownloads.com/index.php/downloads/category/18-special-extensions-jd3-9.html
The relevant Documentation is inhttps://www.jdownloads.net/documentation-for-v3-9/extending-jdownloads-with-other-extensions-v3-9/using-the-jdownloads-community-builder-plugin
For Acymailing you need to upgrade the version, which is available at
https://www.acyba.com/acymailing/pluginsSee alsohttps://www.jdownloads.net/documentation-for-v3-9/getting-started-v3-9/upgrading-from-jdownloads-3-2-to-3-9#compatible-extensions


ColinPS I will be doing a small upgrade on the Community Builder doc to give it indexing